/*
 * Accelerating Stepper with interupts and
 * report of steps taken.  
 * Uses the Stepper_Aclr8_i library
 *
 * created by Ben @ cape ealing
 * 25 May 2008
 *
 */

// include the libraries
#include <Stepper_Aclr8_i.h>

// set up the stepper motor
// 200 steps per rev, wired to pins 4, 6, 5, and 7
Stepper_Aclr8_i Stepper(200, 4, 6, 5, 7);

// variable to hold the no of steps to do
int StepsToDo = 0;

void setup()
{
  // set the minimum speed of the motor (5 revs per min)
  Stepper.setMinSpeed(5);
  // set the maximum speed of the motor (30 revs per min)
  Stepper.setMaxSpeed(30);
  // Accelerate over 200 steps
  Stepper.setAcc(200);
  // Interrupt: set pin 13 high and read input on pin 18
  Stepper.setIpins(13, 18);
  // Pass the address of the StepsToDo variable
  Stepper.setToDoAddress(&StepsToDo);
  
  // start the serial connection (to demonstrate change in 'StepsToDo')
  Serial.begin(9600);
}

void loop()
{
StepsToDo = 200;
// Print the StepsToDo value before starting steps
Serial.println(StepsToDo);
// Step 200 steps
Stepper.step(StepsToDo);
// Print the StepsToDo value after starting steps,
// if the steps complete then this will be 0, if
// the steps are interupted then this is the number of
// steps left to do.
Serial.println(StepsToDo);

// wait 2 seconds
delay(2000);
}